File Browser - in QGIS 2.14+ does not allow single click to select & install errors
Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.0 Regression?: No

Operating System: Linux Mint Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23826

Description

I have two issues to raise, second one is due to me trying to fix my first issue :S

I have been having an issue with QGIS for a few months now (used to work perfectly before for over 2years), for some reason whenever I

am using QGIS to navigate files and folders, QGIS uses single click to open files and folders instead of selecting. This issue persists when

using plugins but does not occur when using 'QGIS Browser Panel'. My default file manager 'caja' is set to use double click.

I'm running QGIS 2.18.1 on Linux Mint 18 'Sarah'.

I tried doing sudo apt-get remove --purge qgis and removing /usermnt/.qgis2 folders to no avail. Also tried installing latest version of LTR

QGIS 2.14.x but that had the same issue.

Latest thing I tried is to use locate -bir qgis and deleting all the folders that were related to QGIS. Some of the ones I found were in 

    -  /usr/lib/python2.7/dist-packages/qgis

    -  /usermnt/.qgis2

    -  /usr/lib/qgis

    -  /usr/share/qgis

    -   ~/.config/QGIS/

Now I am getting the following error upon launch:

An error occurred during execution of following code:

import pyplugin_installer

Traceback (most recent call last):

  File "", line 1, in 

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named pyplugin_installer

Python version:

2.7.12 (default, Nov 19 2016, 06:48:10) 

[GCC 5.4.0 20160609]

QGIS version:

2.18.1 'Las Palmas', 0cfd7d8

Python path:

['/usr/share/qgis/python', u'/usermnt/pavel/.qgis2/python', u'/usermnt/pavel/.qgis2/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usermnt/pavel/.local/lib/python2.7/site-packages', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10',
'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-3.0-gtk2', u'/usermnt/pavel/.qgis2//python']

Followed by: An error occurred during execution of following code:

pyplugin_installer.initPluginInstaller()

Traceback (most recent call last):

  File "", line 1, in 

NameError: name 'pyplugin_installer' is not defined

Python version:

2.7.12 (default, Nov 19 2016, 06:48:10) 

[GCC 5.4.0 20160609]

QGIS version:

2.18.1 'Las Palmas', 0cfd7d8

Python path:

['/usr/share/qgis/python', u'/usermnt/pavel/.qgis2/python', u'/usermnt/pavel/.qgis2/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usermnt/pavel/.local/lib/python2.7/site-packages', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-3.0-gtk2', u'/usermnt/pavel/.qgis2//python']

And when I try to open Plugins/Manage Plugins, I get the following:

An error occurred during execution of following code:

pyplugin_installer.instance().showPluginManagerWhenReady()

Traceback (most recent call last):

  File "", line 1, in 

NameError: name 'pyplugin_installer' is not defined

Python version:

2.7.12 (default, Nov 19 2016, 06:48:10) 

[GCC 5.4.0 20160609]

QGIS version:

2.18.1 'Las Palmas', 0cfd7d8

Python path:

['/usr/share/qgis/python', u'/usermnt/pavel/.qgis2/python', u'/usermnt/pavel/.qgis2/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usermnt/pavel/.local/lib/python2.7/site-packages', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-3.0-gtk2', u'/usermnt/pavel/.qgis2//python']
2025-05-19 2/3



#1 - 2016-11-29 10:24 AM - Pavel Diptan

Just an update, I managed to fix the errors by uninstalling sudo apt-get autoremove python-qgis then installing QGIS 2.14 and updating that to 2.18.1

I still get my first issue where single click does not work in file manager inside qgis and just opens files/folders.

#2 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-02-23 01:48 PM - matteo ghetta

- Status changed from Open to Closed

- Description updated

I think we can close this issue.  Reopen if necessary after other tests in QGIS 3.4 and the updated release of Linux Mint

#4 - 2019-02-23 10:45 PM - Giovanni Manghi

- Resolution set to not reproducable

matteo ghetta wrote:

I think we can close this issue.  Reopen if necessary after other tests in QGIS 3.4 and the updated release of Linux Mint

when closing a ticket please add a proper resolution.
